package org.intuitel.imsld.manifest;

import org.intuitel.imsld.lvlA.LearningDesign;

import javax.xml.bind.annotation.*;

/**
 * Author: Ovidiu Serban, o.serban@reading.ac.uk.
 * Version: 1, 03/09/2014
 * Created at Intelligent System Research Laboratory,
 * University of Reading, United Kingdom
 * web: http://www.isr.reading.ac.uk/
 * Copyright may apply to this file
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "organisations")
public class Organisations {
    @XmlElement(name = "learning-design")
    private LearningDesign learningDesign;

    public LearningDesign getLearningDesign() {
        return learningDesign;
    }

    public void setLearningDesign(LearningDesign learningDesign) {
        this.learningDesign = learningDesign;
    }
}

