package org.intuitel.imsld.lvlA;

import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"learningActivityRef"})
@XmlRootElement(name = "activity-structure", namespace = "http://www.imsglobal.org/xsd/imsld_v1p0")
public class ActivityStructure implements Activity {
    @XmlElement(name = "learning-activity-ref", namespace = "http://www.imsglobal.org/xsd/imsld_v1p0")
    protected List<LearningActivityRef> learningActivityRef;
    @XmlAttribute(name = "identifier")
    protected String identifier;
    @XmlAttribute(name = "structure-type")
    protected String structureType;

    public List<LearningActivityRef> getLearningActivityRef() {
        if (learningActivityRef == null) {
            learningActivityRef = new LinkedList<LearningActivityRef>();
        }
        return this.learningActivityRef;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String value) {
        this.identifier = value;
    }

    public String getStructureType() {
        return structureType;
    }

    public void setStructureType(String value) {
        this.structureType = value;
    }
}
