<!--
    * Document: mergeCMwithCCM.xsl
    * Author:   Jaime Costa, j.costa@reading.ac.uk
    * Version: 0.1, 11/03/14
    * Created at Intelligent System Research Laboratory,
    * University of Reading, United Kingdom
    * web: http://www.isr.reading.ac.uk/
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:owl="http://www.w3.org/2002/07/owl" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns" xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema" xmlns:intui="http://intuitel.eu/public/intui_PO.owl" xmlns:imsld="http://www.imsglobal.org/xsd/imsld_v1p0">

    <xsl:output method="html" version="1.0" encoding="UTF-8"/>

    <xsl:param name="CMparam" select="''"/>
    <xsl:param name="CCMparam" select="''"/>
    <xsl:variable name="CM" select="document($CMparam)"/>
    <xsl:variable name="CCM" select="document($CCMparam)"/>

    <xsl:template match="/">
        <manifest>
            <xsl:copy>
                <xsl:copy-of select="$CM/*/*"/>
                <xsl:copy-of select="$CCM/*/*"/>
            </xsl:copy>
            <xsl:apply-templates/>
        </manifest>
    </xsl:template>

    <xsl:template match="text()"/>

</xsl:stylesheet>