package org.intuitel.imsld.lvlA;

import javax.xml.bind.annotation.*;
import java.util.LinkedList;
import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"learningActivityOrActivityStructure"})
@XmlRootElement(name = "activities", namespace = "http://www.imsglobal.org/xsd/imsld_v1p0")
public class Activities {
    @XmlElements({@XmlElement(name = "learning-activity", namespace = "http://www.imsglobal.org/xsd/imsld_v1p0",
                              type = LearningActivity.class),
                         @XmlElement(name = "activity-structure", namespace = "http://www.imsglobal.org/xsd/imsld_v1p0",
                                     type = ActivityStructure.class)})
    protected List<Activity> learningActivityOrActivityStructure;

    // contains learning-activity or activity-structure
    public List<Activity> getStructure() {
        if (learningActivityOrActivityStructure == null) {
            learningActivityOrActivityStructure = new LinkedList<Activity>();
        }
        return this.learningActivityOrActivityStructure;
    }
}
