package org.intuitel.imsld.lvlA;

import javax.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"title", "components", "method"})
@XmlRootElement(name = "learning-design", namespace = "http://www.imsglobal.org/xsd/imsld_v1p0")
public class LearningDesign {

    @XmlElement(namespace = "http://www.imsglobal.org/xsd/imsld_v1p0", required = true)
    protected String title;
    @XmlElement(namespace = "http://www.imsglobal.org/xsd/imsld_v1p0", required = true)
    protected Components components;
    @XmlElement(namespace = "http://www.imsglobal.org/xsd/imsld_v1p0", required = true)
    protected Method method;
    @XmlAttribute(name = "identifier")
    protected String identifier;
    @XmlAttribute(name = "level")
    protected String level;
    @XmlAttribute(name = "uri")
    @XmlSchemaType(name = "anyURI")
    protected String uri;

    public String getTitle() {
        return title;
    }

    public void setTitle(String value) {
        this.title = value;
    }

    public Components getComponents() {
        return components;
    }

    public void setComponents(Components value) {
        this.components = value;
    }

    public Method getMethod() {
        return method;
    }

    public void setMethod(Method value) {
        this.method = value;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String value) {
        this.identifier = value;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String value) {
        this.level = value;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String value) {
        this.uri = value;
    }
}
